Name:		gssproxy
Version:	0.0.1
Release:	2%{?dist}
Summary:	GSSAPI Proxy

Group:		System Environment/Libraries
License:	MIT
URL:		http://fedorahosted.org/gss-proxy
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Patch0:		gssproxy-packaging.patch

%global servicename gssproxy
%global gsspstatedir %{_localstatedir}/lib/gssproxy
%global pipepath %{gsspstatedir}/pipes
%global pubconfpath %{_sysconfdir}/gssproxy

### Build Dependencies ###

BuildRequires: gettext-devel, krb5-devel, iniparser-devel, libverto-devel, popt-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: pkgconfig
BuildRequires: findutils
BuildRequires: systemd-units


%description
A proxy for GSSAPI credential handling

%prep
%setup -q
%patch0 -p1 -b .packaging

%build
pushd proxy
autoreconf -f -i
%configure \
    --with-pipe-path=%{pipepath} \
    --with-pubconf-path=%{pubconfpath} \
    --with-init-dir=%{_initrddir} \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all
popd

%install
rm -rf %{buildroot}
pushd proxy
make install DESTDIR=%{buildroot}
install -d -m755 %{buildroot}%{_sysconfdir}/gssproxy
install -d -m755 %{buildroot}%{_unitdir}
install -m644 examples/gssproxy-example.conf %{buildroot}%{_sysconfdir}/gssproxy/gssproxy.conf
install -m644 systemd/gssproxy.service %{buildroot}%{_unitdir}/gssproxy.service
popd

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README NOTES
%doc proxy/examples/gssproxy-example.conf
%{_unitdir}/gssproxy.service
%{_sbindir}/gssproxy
%dir %{gsspstatedir}
%attr(755,root,root) %dir %{pipepath}
%attr(755,root,root) %dir %{pubconfpath}
%attr(750,root,root) %dir %{_var}/log/%{name}
%attr(711,root,root) %dir /%{_sysconfdir}/gssproxy
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/gssproxy.conf
%{_mandir}/man5/gssproxy.conf.5*
%{_mandir}/man8/gssproxy.8*

%post
/sbin/ldconfig
/sbin/chkconfig --add %{servicename}

if [ $1 -ge 1 ] ; then
    /sbin/service %{servicename} condrestart 2>&1 > /dev/null
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service %{servicename} stop 2>&1 > /dev/null
    /sbin/chkconfig --del %{servicename}
fi

%changelog
* Mon Jul 02 2012 Guenther Deschner <gdeschner@redhat.com> 0.0.1-2
- Add systemd packaging

* Wed Mar 28 2012 Guenther Deschner <gdeschner@redhat.com> 0.0.1-1
- Various fixes

* Mon Dec 12 2011 Simo Sorce <simo@redhat.com> - 0.0.1-0
- Automated build of the gssproxy daemon
